Subject: Re: linux-next: manual merge of the bpf-next tree with the net tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 23 Jul 2020 12:11:12 +1000

Hi all,

On Wed, 22 Jul 2020 13:21:43 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the bpf-next tree got conflicts in:
> 
>   net/ipv4/udp.c
>   net/ipv6/udp.c
> 
> between commit:
> 
>   efc6b6f6c311 ("udp: Improve load balancing for SO_REUSEPORT.")
> 
> from the net tree and commits:
> 
>   7629c73a1466 ("udp: Extract helper for selecting socket from reuseport group")
>   2a08748cd384 ("udp6: Extract helper for selecting socket from reuseport group")
> 
> from the bpf-next tree.
> 
> I fixed it up (I wasn't sure how to proceed, so I used the latter
> version) and can carry the fix as necessary. This is now fixed as far
> as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the net-next and net trees.

-- 
Cheers,
Stephen Rothwell